use super::schema::users;
use diesel::prelude::*;
use diesel::sqlite::SqliteConnection;

#[derive(Queryable, Insertable)]
pub struct User {
    pub discord_id: i64,
    pub email: String,
    pub first_name: String,
    pub last_name: String,
}

pub fn user_insert(conn: &mut SqliteConnection, user: &User) -> User {
    diesel::insert_into(users::table)
        .values(user)
        .get_result(conn)
        .expect("fuck")
}

pub fn user_all(conn: &mut SqliteConnection) -> Vec<User> {
    users::table.load::<User>(conn).expect("nou")
}
